package market.Slm.DeliveryManagement.mapper;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import market.Slm.DeliveryManagement.vo.SlmLadingBillHeat;
import market.Slm.DeliveryManagement.vo.SlmLadingBillLine;

import com.hnshituo.orm.GenericMapper;

public interface SlmLadingBillLineMapper extends GenericMapper<SlmLadingBillLine,Object> {
	public List<SlmLadingBillLine> doQueryDetail(int beginindex,int endindex,String billno);
	
	public List<SlmLadingBillLine> doQueryDetailF(int beginindex,int endindex,String billno);
	
	public int doQueryDetailCount(String billno);
	
	public List<String> getLineNo(String billno);

	public void doEnable(SlmLadingBillLine line);
	
	List<SlmLadingBillLine> doQueryForContract(SlmLadingBillLine line, String param2);
	
	public void updateactualweight(String lineno);
	
	public SlmLadingBillLine doQuaryWeightTypeByLineno(String lineno);
	
	//查询反写提单支数和提单重量
	public SlmLadingBillLine doQuaryRebackForLine(String lineno);
	public SlmLadingBillHeat doQuaryRebackForBill(String billno);
	
	@Select("delete from SLM_LADING_BILL_LINE where BILL_NO = #{billNo}")
	void doDelete (@Param("billNo") String billNo);
}
